Function
hash2
Computes an unique hash value of a shape applied to a sequence, even if the sequence is shorter than the shape span
hash2(shape, it, charsLeft)
Parameters

shape | Shape to be used for hashing. Types: Shape
it | Sequence iterator pointing to the first character of the shape.
charsLeft | The distance of it to the string end.

Return Values
Hash value of the shape.
See Also
hash2Next, hash, hash2Upper
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47